Toggle Auto-Earn of a user.
Toggling Auto-Earn is an async operation, which is triggered by calling this endpoint. Therefore, the response is empty.
To fetch the users current Auto-Earn status, use GET /b2b/earn/{user}.
curl --request PUT \
--url https://nexus.kraken.com/b2b/earn/{user}/auto \
--header 'API-Key: <api-key>' \
--header 'API-Sign: <api-key>'{
"result": {}
}Documentation Index
Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
The "API-Key" header should contain your API key.
Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.
The target version of the Embed API to use. The API version name is based on the date when the API version was released. For example, the API version 2025-04-15 was released on April 15, 2025.
2025-04-15 User to toggle the Auto-Earn status for Internet International Bank Account Number (IIBAN)
14 - 42Whether to enable or disable Auto-Earn
Successful response indicating the Auto-Earn toggle operation was triggered. The response body is empty on success.
curl --request PUT \
--url https://nexus.kraken.com/b2b/earn/{user}/auto \
--header 'API-Key: <api-key>' \
--header 'API-Sign: <api-key>'{
"result": {}
}